/*****************************************************************************
 * yahoochat.h
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston,
 * MA 02111-1307, USA.
 *
 * Copyright (C) 2000 Chris Pinkham
 * Released under the terms of the GPL.
 * *NO WARRANTY*
 *
 * cpinkham@infi.net
 * http://www4.infi.net/~cpinkham/gyach/
 *****************************************************************************/

#ifndef _YAHOOCHAT_H_
#define _YAHOOCHAT_H_

#include <sys/types.h>

/* OUTgoing packet types */
#define PKT_OUT_CONNECT		0x01
#define PKT_OUT_INVITE		0x17
#define PKT_OUT_GOTO		0x25
#define PKT_OUT_THINK		0x42
#define PKT_OUT_EMOTE		0x43
#define PKT_OUT_PING		0x62
#define PKT_OUT_TEXT		0x71

extern char *yahoo_status[];

u_char *create_yahoo_header( u_char *buf, u_long pkt_type );
u_char *append_str( u_char *ptr, u_char *str );
void send_yahoo_text_command( char *cmd, char *txt );
void send_yahoo_packet( u_char *buf, u_char *end );


#endif /* #ifndef _YAHOOCHAT_H_ */
